// Fill out your copyright notice in the Description page of Project Settings.


#include "MainMenu.h"

#include "Components/Button.h"

bool UMainMenu::Initialize()
{
	bool Success = Super::Initialize();
	if (!Success) return false;

	if (!ensure(Game1_Button != nullptr)) return false;
	if (!ensure(Game2_Button != nullptr)) return false;

	UE_LOG(LogTemp, Warning, TEXT("succecess!!!"));
	Game1_Button->OnClicked.AddDynamic(this, &UMainMenu::OnPlayGame1);
	Game2_Button->OnClicked.AddDynamic(this, &UMainMenu::OnPlayGame2);

	return true;
}

void UMainMenu::OnPlayGame1()
{
	UE_LOG(LogTemp, Warning, TEXT("Clicked Game11111!"));
}

void UMainMenu::OnPlayGame2()
{
	UE_LOG(LogTemp, Warning, TEXT("Clicked Game222222!"));
}