// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "UObject/Interface.h"
#include "MyTestInterface.generated.h"

// This class does not need to be modified.
UINTERFACE(MinimalAPI)
class UMyTestInterface : public UInterface
{
	GENERATED_BODY()
};

/**
 * 
 */
class UI_TEST_API IMyTestInterface
{
	GENERATED_BODY()

	// Add interface functions to this class. This is the class that will be inherited to implement this interface.
public:
	virtual FName GetGameModeName() = 0;
	virtual int   GetGameModeType() = 0;

	UFUNCTION(BlueprintCallable, BlueprintNativeEvent, Category = "MyInterface")
	void DisplayGameModeInfo();
};
