// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "GameFramework/GameModeBase.h"
#include "MyTestInterface.h"
#include "ui_testGameModeBase.generated.h"

/**
 * 
 */
UCLASS()
class UI_TEST_API Aui_testGameModeBase : public AGameModeBase, public IMyTestInterface
{
	GENERATED_BODY()
	
public:
	virtual void BeginPlay() override;

	virtual FName GetGameModeName() override;
	virtual int   GetGameModeType() override;

	UFUNCTION(BlueprintCallable, BlueprintNativeEvent, Category = "MyInterface")
	void DisplayGameModeInfo();
	void DisplayGameModeInfo_Implementation();
};
