// Fill out your copyright notice in the Description page of Project Settings.

#include "ui_testGameModeBase.h"
#include "MyGameInstance.h"

void Aui_testGameModeBase::BeginPlay()
{
	FPlatformMisc::LowLevelOutputDebugString(TEXT("BeginPlay.................\n"));

	auto gameInstance = Cast<UMyGameInstance>(GetGameInstance());
	if (gameInstance)
		gameInstance->GameModeInfo();
}

FName Aui_testGameModeBase::GetGameModeName()
{
	return TEXT("chapter1 game");
}

int Aui_testGameModeBase::GetGameModeType()
{
	return 1;
}

void Aui_testGameModeBase::DisplayGameModeInfo_Implementation()
{
	UE_LOG(LogTemp, Warning, TEXT("DisplayGameModeInfo_Implementation run"));
	FPlatformMisc::LowLevelOutputDebugStringf(TEXT("GameMode Name: %s,Type %d \n"), *GetGameModeName().ToString(), GetGameModeType());
}
